> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/it/powershell-commands/new-rdmcloudvaultaccess.md).

# New-RDMCloudVaultAccess

New-RDMCloudVaultAccess crea un nuovo oggetto di assegnazione di autorizzazione per una cassaforte di Devolutions Cloud, per un utente, un gruppo di utenti o un'identità applicazione.

### Sinossi

Creare un nuovo oggetto di assegnazione di autorizzazione per una cassaforte di Devolutions Cloud.

### Sintassi

#### Utente

```
New-RDMCloudVaultAccess [-User] <PSCloudUserInfo> [[-Role] <string>]
 [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### UserGroup

```
New-RDMCloudVaultAccess [-UserGroup] <PSRoleInfo> [[-Role] <string>]
 [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

#### ApplicationIdentity

```
New-RDMCloudVaultAccess [-ApplicationIdentity] <PSApplicationIdentityInfo> [[-Role] <string>]
 [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Descrizione

Crea un nuovo oggetto PSVaultPermissionInfo per un determinato utente, gruppo di utenti o identità applicazione. Facoltativamente inizializza i flag di autorizzazione da un ruolo di cassaforte predefinito. L'oggetto restituito può essere modificato e quindi passato a Set-RDMCloudVaultAccess per applicare le autorizzazioni a una cassaforte.

### Esempi

#### Esempio 1

```powershell
PS C:\> $vault = Get-RDMVault -Name "MyVault"
PS C:\> $user = Get-RDMUser -Name "MyUser"
PS C:\> $readerPerm = New-RDMCloudVaultAccess -User $user -Role Readers
PS C:\> Set-RDMCloudVaultAccess -Vault $vault -Permissions @($readerPerm)
```

Crea un'autorizzazione del ruolo Lettori per un utente e la applica a una cassaforte.

#### Esempio 2

```powershell
PS C:\> $vault = Get-RDMVault -Name "MyVault"
PS C:\> $group = Get-RDMUserGroup -Name "MyGroup"
PS C:\> $customPerm = New-RDMCloudVaultAccess -UserGroup $group
PS C:\> $customPerm.ViewEntries = $true
PS C:\> $customPerm.ViewPassword = $true
PS C:\> Set-RDMCloudVaultAccess -Vault $vault -Permissions @($customPerm)
```

Crea un'autorizzazione personalizzata per un gruppo di utenti con flag specifici abilitati e la applica a una cassaforte.

### Parametri

#### -ApplicationIdentity

Identità applicazione per cui creare un'assegnazione di autorizzazione.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSApplicationIdentityInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: ApplicationIdentity
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -ForcePromptAnswer

Opzione da usare con cautela. Risponderà automaticamente ai prompt che pongono domande sì/no, sì/no/annulla oppure ok/annulla. In caso di più prompt, è possibile passare più valori a questo parametro. Ecco i valori accettati:

* Yes: accetta il prompt. Copre i valori OK e Automatic.
* No: rifiuta il prompt sì/no/annulla. "Cancel" è l'opzione di ripiego se non è presente l'opzione "No".
* Cancel: annulla il prompt sì/no/annulla. "No" è l'opzione di ripiego se non è presente l'opzione "Cancel".

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Role

Ruolo di cassaforte predefinito da cui inizializzare i flag di autorizzazione.

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -User

Utente per cui creare un'assegnazione di autorizzazione.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSCloudUserInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: User
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -UserGroup

Gruppo di utenti per cui creare un'assegnazione di autorizzazione.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSRoleInfo
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: UserGroup
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Questo cmdlet supporta i parametri comuni: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction e -WarningVariable. Per maggiori informazioni, veda [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Output

#### RemoteDesktopManager.PowerShellModule.PSOutputObject.PSVaultPermissionInfo

### Note

Per maggiori informazioni, digiti "Get-Help New-RDMCloudVaultAccess -detailed". Per informazioni tecniche, digiti "Get-Help New-RDMCloudVaultAccess -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/it/powershell-commands/new-rdmcloudvaultaccess.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
